Visual Design update for Recently searched and search
Closed, ResolvedPublic2 Story Points

Nirzar created this task.Sep 24 2015, 8:45 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Needs Triage.
JMinor triaged this task as High priority.Sep 28 2015, 9:11 PM
JMinor added a project: iOS-app-v5-alpha.
JMinor set Security to None.
JMinor added a comment.EditedOct 2 2015, 6:59 PM

@Nirzar can you update with a clear all recents function

Nirzar added a comment.EditedOct 2 2015, 8:35 PM

< [GIF] if this is a native component and doesn't require work then we might want to think about adding it because it prevents accidental clear.

@Nirzar that specifically isn't a built-in component, but wouldnt' be too hard to build. If we want to prevent accidental deletion we could use the built in delete button either via swipe or an explicit "edit" mode:

https://developer.apple.com/library/safari/documentation/UserExperience/Conceptual/MobileHIG/ContentViews.html#//apple_ref/doc/uid/TP40006556-CH13-SW3

Also its a little different… that is an example of "clear everything in this section", not "clear all". We only have one section. So we would need to do some design changes there.

@BGerstle-WMF
It's fine without it... i thought it's a iOS component. but it's okay.

JMinor added a comment.Oct 9 2015, 7:12 PM

@Nirzar can you update with clear all placement/design

MBinder_WMF edited a custom field.Oct 9 2015, 7:12 PM
Mhurd claimed this task.
Mhurd added a comment.EditedOct 31 2015, 12:59 AM

@JMinor Hey, per our chat I limited the changes I implemented to the recent search part of the interface.

Do you want to create a separate ticket for having @Nirzar's shadow-horizontal rule appear above search results when scrolling them?

@Nirzar mocked this up in html and showed me how it should work - we could attach a link to that html mock to the new ticket then?

Checked with 5.0.0.465 on iPhone 5 iOS 9.02

An example with a different background:

Nirzar added a comment.Nov 3 2015, 9:31 PM

@Mhurd one missing thing. when you clear the recent searches the header should go away. right now the section header stays there and it just removes the cells. should i put it back on "ready for dev"
cc @JMinor

JMinor added a comment.Nov 3 2015, 9:43 PM

@Nirzar if the only thing missing is the "removing header" issue, lets move this ticket forward to PM sign-off. There is already a bug ticket for that specific issue: T115670

@Mhurd if you want to grab that ticket so we can close out Recent Search as a feature I support that, otherwise we will move it through the board as usual.

Nirzar added a comment.Nov 3 2015, 9:44 PM

@JMinor okay. i will move to pm sign off

JMinor closed this task as Resolved.Nov 18 2015, 8:26 PM